%define major   1
%define libname %mklibname svg %{major}
%define develname %mklibname svg -d

Summary:	A generic SVG library
Name:		libsvg
Version:	0.1.4
Release:	%mkrel 13
License:	LGPL
Group:		System/Libraries
URL:		http://cairographics.org/snapshots/
Source:		http://cairographics.org/snapshots/%{name}-%{version}.tar.bz2
Patch0:		libsvg-0.1.4-link.patch
Patch1:		libsvg-0.1.4-libpng14.patch
BuildRequires:	libxml2-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel

%description
A generic SVG library.

%package -n	%{libname}
Summary:	A generic SVG library
Group:		System/Libraries

%description -n	%{libname}
A generic SVG library.

%package -n	%{develname}
Summary:	Libraries and include files for developing with libsvg
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n	%{develname}
This package provides the necessary development libraries and include
files to allow you to develop with libsvg.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure2_5x
%make

%install
%makeinstall_std

# remove .la file
rm -f %{buildroot}%{_libdir}/libsvg.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/pkgconfig/libsvg.pc






%changelog

* Sat Nov 26 2011 guillomovitch <guillomovitch> 0.1.4-13.mga2
+ Revision: 172348
- drop .la files
- spec cleanup

* Sat Sep 10 2011 fwang <fwang> 0.1.4-12.mga2
+ Revision: 142151
- remove deprecated symbol
- fix linkage

* Mon Feb 28 2011 eandry <eandry> 0.1.4-11.mga1
+ Revision: 61764
- add provides

* Mon Feb 28 2011 eandry <eandry> 0.1.4-10.mga1
+ Revision: 61758
- clean spec
- apply library policy
- imported package libsvg


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-9mdv2011.0
+ Revision: 602607
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-8mdv2010.1
+ Revision: 488782
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-7mdv2010.0
+ Revision: 416625
- rebuilt against libjpeg v7

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-6mdv2009.0
+ Revision: 229787
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-4mdv2008.1
+ Revision: 178948
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Feb 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.4-2mdv2007.0
+ Revision: 121269
- rebuild
- spec file clean
- Import libsvg

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.1.4-1mdk
- New release 0.1.4
- use mkrel
- use mkrel

* Wed Mar 09 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- spec fixes
- New release 0.1.3

* Sat Jun 05 2004 Marcel Pol <mpol@mandrake.org> 0.1.2-2mdk
- buildrequires (slbd)

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.1.2-1mdk
- initial mandrake package

